.calculator-keypad-container {
  padding: 5px;

  .calculator-modifier-wrapper,
  .calculator-keypad-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 100px);
    grid-gap: 10px;
  };

  .calculator-modifier-wrapper {
    .btn-modifier {
      color: #333333;
      &:hover {
        opacity: .7;
      };
    };
  };

  .calculator-keypad-wrapper {
    margin-top: 10px;

    .btn-digit {
      background-color: #333333;
      color: white;

      &:hover {
        background-color: darkgray;
      }
    };

    /**
    * Should probably have gone flexbox instead...
    */
    button:nth-child(1) {
      /**
        0 keypad
      */
      grid-column: span 2;
      order: 10;
      width: 100%;
      border-radius: 50px;
    };

    button:nth-child(2) {
      /**
        1 keypad
      */
      order: 7;
    };

    button:nth-child(3) {
      /**
        2 keypad
      */
      order: 8;
    };

    button:nth-child(4) {
      /**
        3 keypad
      */
      order: 9;
    };

    button:nth-child(5) {
      /**
        4 keypad
      */
      order: 4;
    };

    button:nth-child(6) {
      /**
        5 keypad
      */
      order: 5;
    };

    button:nth-child(7) {
      /**
        6 keypad
      */
      order: 6;
    };

    button:nth-child(8) {
      /**
        7 keypad
      */
      order: 1;
    } ;

    button:nth-child(9) {
      /**
        8 keypad
      */
      order: 2;
    };

    button:nth-child(10) {
      /**
        9 keypad
      */
      order: 3;
    };

    button:nth-child(11) {
      /**
        decimal keypad
      */
      order: 11;
    };
  }
}